## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ReusableArenaBlock< ObjectType, SizeType >::NextBlock Struct Reference

List of all members.

## Public Types

- enum { VALID_OBJECT_STAMP = 0xffddffdd }

## Public Member Functions

- NextBlock (size_type _next)
- bool isValidFor (size_type rightBorder) const

## Static Public Member Functions

- NextBlock * cast (void *thePointer)
- const NextBlock * cast (const void *thePointer)

## Public Attributes

- size_type next
- const int verificationStamp

### template<class ObjectType, class SizeType = unsigned short>
struct ReusableArenaBlock< ObjectType, SizeType >::NextBlock

## Member Enumeration Documentation

template<class ObjectType, class SizeType = unsigned short>
anonymous enum

  | Enumeration values:
  VALID_OBJECT_STAMP |

## Constructor & Destructor Documentation

template<class ObjectType, class SizeType = unsigned short>
ReusableArenaBlock< ObjectType, SizeType >::NextBlock::NextBlock | ( | size_type | _next | ) |

## Member Function Documentation

template<class ObjectType, class SizeType = unsigned short>
const NextBlock* ReusableArenaBlock< ObjectType, SizeType >::NextBlock::cast | ( | const void * | thePointer | ) | `[static]`

template<class ObjectType, class SizeType = unsigned short>
NextBlock* ReusableArenaBlock< ObjectType, SizeType >::NextBlock::cast | ( | void * | thePointer | ) | `[static]`

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock< ObjectType, SizeType >::NextBlock::isValidFor | ( | size_type | rightBorder | ) | const

## Member Data Documentation

template<class ObjectType, class SizeType = unsigned short>
size_type ReusableArenaBlock< ObjectType, SizeType >::NextBlock::next

template<class ObjectType, class SizeType = unsigned short>
const int ReusableArenaBlock< ObjectType, SizeType >::NextBlock::verificationStamp

The documentation for this struct was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.